libdap::parser_arg Struct Reference

Pass parameters by reference to a parser. More...

`#include <parser.h>`

## Public Member Functions

Error * | error ()
void * | object ()
| parser_arg (void *obj)
void | set_error (Error *obj)
void | set_object (void *obj)
void | set_status (int val=0)
int | status ()

## Public Attributes

Error * | _error
void * | _object
int | _status

## Detailed Description

Pass parameters by reference to a parser.

`parser_arg` is used to pass parameters to the bison parsers and get error codes and objects in return. If `status()` is true, then the `object()` returns a pointer to the object built during the parse process. If `status()` is false, then the `error()` returns a pointer to an Error object.

Note that the `object()` mfunc returns a void pointer.

Pass parameters by reference to a parser.

Definition at line 68 of file parser.h.

## Constructor & Destructor Documentation

## parser_arg() [1/2]

libdap::parser_arg::parser_arg | ( |  | ) |

inline

Definition at line 74 of file parser.h.

## parser_arg() [2/2]

libdap::parser_arg::parser_arg | ( | void * | obj | ) |

inline

Definition at line 76 of file parser.h.

## ~parser_arg()

virtual libdap::parser_arg::~parser_arg | ( |  | ) |

inline virtual

Definition at line 78 of file parser.h.

## Member Function Documentation

## error()

Error * libdap::parser_arg::error | ( |  | ) |

inline

Definition at line 93 of file parser.h.

## object()

void * libdap::parser_arg::object | ( |  | ) |

inline

Definition at line 85 of file parser.h.

## set_error()

void libdap::parser_arg::set_error | ( | Error * | obj | ) |

inline

Definition at line 97 of file parser.h.

## set_object()

void libdap::parser_arg::set_object | ( | void * | obj | ) |

inline

Definition at line 89 of file parser.h.

## set_status()

void libdap::parser_arg::set_status | ( | int | val = `0` | ) |

inline

Definition at line 105 of file parser.h.

## status()

int libdap::parser_arg::status | ( |  | ) |

inline

Definition at line 101 of file parser.h.

## Member Data Documentation

## _error

Error* libdap::parser_arg::_error

Definition at line 71 of file parser.h.

## _object

void* libdap::parser_arg::_object

Definition at line 70 of file parser.h.

## _status

int libdap::parser_arg::_status

Definition at line 72 of file parser.h.

The documentation for this struct was generated from the following file:

- parser.h